Bug 836721 - [abrt] vino-3.4.2-1.fc17: vino_status_icon_preferences: Process /usr/libexec/vino-server was killed by signal 11 (SIGSEGV)
[abrt] vino-3.4.2-1.fc17: vino_status_icon_preferences: Process /usr/libexec/...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: vino (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
abrt_hash:0da5fbca45211f74eb562cac8a4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-30 08:41 EDT by cstent
Modified: 2014-06-18 05:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:41:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (5.95 KB, text/plain)
2012-06-30 08:41 EDT, cstent
no flags Details
File: maps (43.39 KB, text/plain)
2012-06-30 08:41 EDT, cstent
no flags Details
File: backtrace (23.25 KB, text/plain)
2012-06-30 08:41 EDT, cstent
no flags Details

  None (edit)
Description cstent 2012-06-30 08:41:15 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/vino-server
comment:        I tried to view vino preferences through a remote desktop connection.
crash_function: vino_status_icon_preferences
executable:     /usr/libexec/vino-server
kernel:         3.4.3-1.fc17.x86_64
pid:            1357
pwd:            /home/cstent
time:           Sat 30 Jun 2012 03:33:44 PM EEST
uid:            1000

backtrace:      Text file, 23804 bytes
dso_list:       Text file, 6090 bytes
maps:           Text file, 44433 bytes

build_ids:
:4555444390434459edd5379df593b6d7382f86be
:8b33feb27b2125997520fdd21c90c42a65e438f1
:99c23b21038c62b0628b93610fb54c5900c40ffd
:faca16f15d87b83d2947a386e319b02f724dcbb5
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:9d49f2f604fdc7a787f63c16cc08353956f2fd41
:4c9c864a7c7b7ed702088955821d58137803462d
:b6d75088f555d197be1476cb1c580640826ae029
:249534ba725a62584055a93c041c20047b65f9b7
:51df4cbbc11bdab5dfc33ed3fd5782b8a5c7602d
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:c2f5ae8bd64df0fc996cf96b95525a8f8fb28fd2
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:f534feded388130df4a9e789eec1e38c320bc55b
:87712be648d2d43ea4cd002fe7a859df636f1e13
:301bb855a0952a10241e6d7190773fdabf23e383
:b277af36744327e3d58eae76bcdaadcca71a28c6
:7716bc5c1738194dad6ec6679d05ae3782139288
:8d098f6bb781c1632177cd60d738076b83e0c0d3
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:a2d5b50b07df0fb9c52fcc682c6121d3e7276249
:f64b7319b84d426ed547084bdb2577f4f596c18f
:710b0d8cc36603d66327090defd37c99daa38f28
:0a688bf9160e6e3a2a8f41967f3c75094bca08a7
:e91010b497ec024178c36f4365b21f668bada0ca
:31243d0d107bba586a96433c76c87a26db1e826c
:e2f8ba3db2c86456528fe1f09829c62263d0fdee
:6947e315f0765bf884ecc222d91945a1e2ed8767
:1df2138063f8eee89db95b8adf7749f09022d865
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:591c7ebbd3f4b573e01caf6e462b01a226faa9cf
:3d60535f052babb998bae4807bc992c5d15df5c4
:253afe744466fe7580bbb6040de6183dba9e2b02
:cbb8a8e0998ebc35f3394e942b5bf90d19d90fc5
:127f8958b602715234a02b88adb08afd9e34c203
:57daf604bef735ab18319f0436edd52ce4488a17
:234d4eb1aa690c38533ef82f517b390255d3bc4d
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb
:508cf66f72e70054a41215f80ed2385c6bb80030
:dec0de92024bee74c75c04bde4c54c097fe68ae8
:67792c148d2b8f13f6732c9367e926c26d7376c5
:247132297f287226a24c12e683292f5c94013066
:63651cdc0224824a9c9324c77c3b5887378e871d
:835ece100ae7d8bb3c7f990b52f28ecdeb74975e
:c4ec0971b2dcee71aaf8374975474054245fea00
:a553a7e9625a224a8f39286909adc17787ad51bd
:5bf8427ddeff24a2bd36962f68e6af6ffe14970f
:e3354959e32e471066df83c93f98f33e75198697
:822e9b3523e8312240f41a25722d539bc77ed436
:113647b704abd1345c97a06ccbe8935247e16d75
:c028bd4d4e5f5ae122f2300193d9a08f103da6f7
:73777e822e00ca152ffca281ab0ace0cb498ec48
:404cbecd24d186758ed474b345313da28b2990fa
:396fda5abd0de2132396c4a3e94f7a7173bc26e7
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:d804f8ee47797da9213a92f00cd095ecada8d79f
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:5f038f3fb1b1571769e7c9b79e025fe328052950
:4d09d82785dab5f95c01b69bc0785145a5954d30
:7c35310fc506498c612d5d982ab03becc4b4817c
:137ce33e99dff4cf33f9835c815b1b6860445a50
:80dcf30321dbc04511d9cbf399a83b8f3dc75d5d
:8f7c190397d7c1f617e66f18f759714662b60367
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:bb24e56b33c8ddbf1a0475454e5afaf578448db3
:4b044fe80e4c1b69986abc4b160c303048005d4e
:e3f83e6ed76d65ff9d0d4aa5fcc7bf0c6bfaaadd
:54a5cc118d928470da13565de8592b664a9868e0
:5dd234206476b0387cd251598aa72a2c95c763c5
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:0eeac854ab0b56d18d126ca7056136b4e63abed7
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:1d4df97fa6024b097b634a272447243c95c26d85
:1a0c09f270adf8398df4362ce0acfafc1f970982
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:130699b76d99d57ef46beeed9d693005f3c8917f
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:785daa1816e99b7da8df42206e96c9d9f5eeeb9d
:6c08d8c9f6358200131cda5c9b563545d5c806ba
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/cstent/3

core_backtrace:
:785daa1816e99b7da8df42206e96c9d9f5eeeb9d 0x14509 - [exe] -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x206d8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2a210c gtk_widget_activate libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x195a1e gtk_menu_shell_activate_item libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x195dab - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x17adcf - libgtk-3.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf943 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2a2d0e - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x178d96 - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x17a9a3 gtk_main_do_event libgtk-3.so.0 -
:8b33feb27b2125997520fdd21c90c42a65e438f1 0x48e62 - libgdk-3.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:785daa1816e99b7da8df42206e96c9d9f5eeeb9d 0xb46b - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=3
:HOSTNAME=PowerEdgeT300.survey.ntua.gr
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/cstent/keyring-5VHk5s
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=cstent
:MAIL=/var/spool/mail/cstent
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/cstent/.local/bin:/home/cstent/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/cstent
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1056
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/cstent
:SHLVL=1
:LOGNAME=cstent
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-egFPFOIIG0,guid=e4349e26e11747ded67b33bc000001da
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/cstent
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-cstent-7a7sFA/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1060,unix/unix:/tmp/.ICE-unix/1060
:GPG_AGENT_INFO=/run/user/cstent/keyring-5VHk5s/gpg:0:1
:SSH_AUTH_SOCK=/run/user/cstent/keyring-5VHk5s/ssh
:DESKTOP_AUTOSTART_ID=105d00b2ca155c57fe134096435431511100000010600026

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 192706               processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       192706               192706               signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/cstent/.xsession-errors
:pos:	93215
:flags:	0102002
:2:/home/cstent/.xsession-errors
:pos:	93215
:flags:	0102002
:3:socket:[22081]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[20277]
:pos:	0
:flags:	02004002
:6:socket:[20279]
:pos:	0
:flags:	02000002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:socket:[20290]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:socket:[22941]
:pos:	0
:flags:	02004002
:12:/dev/urandom
:pos:	0
:flags:	02100000
:13:socket:[20300]
:pos:	0
:flags:	02000002
:14:socket:[20308]
:pos:	0
:flags:	02
:15:socket:[20309]
:pos:	0
:flags:	02
:16:socket:[20355]
:pos:	0
:flags:	02004002
:17:socket:[22966]
:pos:	0
:flags:	02004002
:18:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:19:socket:[1910615]
:pos:	0
:flags:	04002

smolt_data:
:
:
:General
:=================================
:UUID: 6f03fb7b-a80e-4cf8-979b-1a2388b90755
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4999.87
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Xeon(R) CPU           X3323  @ 2.50GHz
:CPU Stepping: 6
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 4
:CPU Speed: 2500
:System Memory: 24109
:System Swap: 23999
:Vendor: Dell Inc.
:System: PowerEdge T300 
:Form factor: Main Server Chassis
:Kernel: 3.4.3-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:26105:0:0) pci, pcieport, PCI/PCI, 5100 Chipset PCI Express x8 Port 6-7
:(32902:26097:32902:32902) pci, None, HOST/PCI, 5100 Chipset Reserved Registers
:(32902:26087:0:0) pci, pcieport, PCI/PCI, 5100 Chipset PCI Express x4 Port 7
:(32902:26096:4136:528) pci, i5100_edac, HOST/PCI, PowerEdge T300
:(32902:26096:4136:528) pci, None, HOST/PCI, PowerEdge T300
:(32902:26096:4136:528) pci, None, HOST/PCI, PowerEdge T300
:(32902:26048:32902:32902) pci, None, HOST/PCI, 5100 Chipset Memory Controller Hub
:(4098:20830:4136:528) pci, radeon, VIDEO, PowerEdge T300 Embedded ATI ES1000
:(32902:10528:4136:528) pci, ata_piix, STORAGE, PowerEdge T300 onboard SATA Controller
:(32902:10518:0:0) pci, None, PCI/ISA, 82801IR (ICH9R) LPC Interface Controller
:(32902:10534:4136:528) pci, ata_piix, STORAGE, PowerEdge T300 onboard SATA Controller
:(32902:812:0:0) pci, None, PCI/PCI, 6702PXH PCI Express-to-PCI Bridge A
:(32902:9294:0:0) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10549:4136:528) pci, uhci_hcd, USB, PowerEdge T300 onboard UHCI
:(32902:10548:4136:528) pci, uhci_hcd, USB, PowerEdge T300 onboard UHCI
:(32902:10553:4136:528) pci, uhci_hcd, USB, PowerEdge T300 onboard UHCI
:(32902:26102:32902:32902) pci, None, HOST/PCI, 5100 Chipset DDR Channel 1 Registers
:(32902:10554:4136:528) pci, ehci_hcd, USB, PowerEdge T300 onboard EHCI
:(4096:88:4136:7950) pci, mptsas, SCSI, SAS 6/iR Adapter RAID Controller
:(32902:26101:32902:32902) pci, None, HOST/PCI, 5100 Chipset DDR Channel 0 Registers
:(32902:26103:0:0) pci, pcieport, PCI/PCI, 5100 Chipset PCI Express x8 Port 2-3
:(32902:10560:4136:528) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:26083:0:0) pci, pcieport, PCI/PCI, 5100 Chipset PCI Express x4 Port 3
:(32902:10568:4136:528) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10570:4136:528) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 6
:(5722:57348:5462:4352) pci, None, PROCESSOR, N/A
:(5348:5722:4136:528) pci, tg3, ETHERNET, PowerEdge T300 Broadcom NetXtreme 5722
:(32902:26099:32902:32902) pci, None, HOST/PCI, 5100 Chipset Reserved Registers
:(32902:26111:32902:32902) pci, ioatdma, BASE, 5100 Chipset DMA Engine
:(32902:10550:4136:528) pci, uhci_hcd, USB, PowerEdge T300 onboard UHCI
:(5348:5722:4136:528) pci, tg3, ETHERNET, PowerEdge T300 Broadcom NetXtreme 5722
:(5722:57348:5462:4352) pci, None, PROCESSOR, N/A
:(32902:26084:0:0) pci, pcieport, PCI/PCI, 5100 Chipset PCI Express x4 Port 4
:(32902:26085:0:0) pci, pcieport, PCI/PCI, 5100 Chipset PCI Express x4 Port 5
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda5 / ext4 4096 4096 10226636 7539073 7436691 2564096 2282773 2282773
:/dev/mapper/luks-416f49dd-772f-4be3-ab55-0886a8119f93 /home ext4 4096 4096 25558927 17161100 15881126 6406144 6396154 6396154
:

var_log_messages:
:Jun 30 15:33:44 PowerEdgeT300 kernel: [95745.154558] vino-server[1357]: segfault at 8 ip 0000000000414509 sp 00007ffff4ad7760 error 4 in vino-server (deleted)[400000+41000]
:Jun 30 15:33:44 PowerEdgeT300 abrt[9043]: File '/usr/libexec/vino-server' seems to be deleted
:Jun 30 15:33:44 PowerEdgeT300 abrt[9043]: Saved core dump of pid 1357 (/usr/libexec/vino-server) to /var/spool/abrt/ccpp-2012-06-30-15:33:44-1357 (51085312 bytes)
Comment 1 cstent 2012-06-30 08:41:23 EDT
Created attachment 595437 [details]
File: dso_list
Comment 2 cstent 2012-06-30 08:41:26 EDT
Created attachment 595438 [details]
File: maps
Comment 3 cstent 2012-06-30 08:41:28 EDT
Created attachment 595439 [details]
File: backtrace
Comment 4 Chad Schellenger 2012-08-03 11:58:58 EDT
Opened "Preferences" from XFCE session

backtrace_rating: 4
Package: vino-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Olivier 2012-09-24 08:36:17 EDT
starting vino server manually in XFCE

backtrace_rating: 4
Package: vino-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Olivier 2012-10-10 03:26:20 EDT
opened vino properties 

backtrace_rating: 4
Package: vino-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 rasl 2012-10-31 17:07:55 EDT
- run program
- minimise in tray
- move mouse to right and down
- search GNOME Desktop Sharing
- Click on it... and here is some error occured


backtrace_rating: 4
Package: vino-3.4.1-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Fedora End Of Life 2013-07-03 23:17:41 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-08-01 06:41:36 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.